@echo off
pushd "%~dp0\.."

echo [INFO] Syncing dependencies (Windows)...
set UV_PROJECT_ENVIRONMENT=.venv-win
uv sync --all-extras

echo [INFO] Running DLL Inspector...
uv run tools/inspect_dll.py > inspect_result.txt 2>&1
